Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 6: Line 6:
--scamp-primary-border--hover: #91A7D2;
--scamp-primary-border--hover: #91A7D2;
--scamp-border-radius: 8px;
--scamp-border-radius: 8px;
--scamp-shadow: 1px 2px 7px 0px rgba(0,0,0,0.3);
}
}



Revision as of 16:34, 14 January 2026

:root {
	--scamp-primary: #3140A8;
	--scamp-primary--hover: #646FBB;
	--scamp-primary-contrast: #FFF;
	--scamp-primary-border: #6C7BA8;
	--scamp-primary-border--hover: #91A7D2;
	--scamp-border-radius: 8px;
	--scamp-shadow: 1px 2px 7px 0px rgba(0,0,0,0.3);
}

@media (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os {
		--scamp-primary: #1C266E;
		--scamp-primary--hover: #2C367D;
		--scamp-primary-contrast: #FFF;
		--scamp-primary-border: #3D4C91;
		--scamp-primary-border--hover: #5A6EA8;
	}
}

html.skin-theme-clientpref-night {
	--scamp-primary: #1C266E;
	--scamp-primary--hover: #2C367D;
	--scamp-primary-contrast: #FFF;
	--scamp-primary-border: #3D4C91;
	--scamp-primary-border--hover: #5A6EA8;
}



.scamp-sr-only {
	clip: rect(0 0 0 0);
	clip-path: inset(50%);
	width: 1px;
	height: 1px;
	overflow: hidden;
	position: absolute;
    white-space: nowrap;
}

.scamp-link-button * {
	box-sizing: border-box;
}

.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  transition: none 0.2s ease;
  transition-property: background-color, border;
  background-color: var(--scamp-primary);
  border: 1px solid var(--scamp-primary-border);
  border-radius: var(--scamp-border-radius);
  box-shadow: 1px 2px 7px 0px rgba(0,0,0,0.3);
}

.scamp-link-button:hover {
  background-color: var(--scamp-primary--hover);
  border-color: var(--scamp-primary-border--hover);
}

.scamp-link-button a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--scamp-primary-contrast);
  text-decoration: none;
}

.scamp-link-button:hover a,
.scamp-link-button:active a { 
  color: var(--scamp-primary-contrast);
}

.scamp-link-button a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}